#include <stdio.h>
#include <locale.h>
#include "testmodule/testfunc.h"
#include "i18n.h"

// These arrays will be instantiated before gettext is initialized. 
// Nevertheless they will be translated correctly
// The string 'right' has two different meanings and is prefixed, so that it
// can have different translations.
const char * directions [] = {i18nM("directions|right"), i18nM("left")};
const char * results [] = {i18nM("results|right"), i18nM("wrong")};

int main(int)
{
	int n;

	// initialize gettext
	setlocale (LC_ALL, "");
	bindtextdomain (PACKAGE, LOCALEDIR);
	textdomain (PACKAGE);

	printMessage();

	// late translation of the string array above
	printf(i18n("Possible directions: %s, %s\n"), i18n(directions[0]), i18n(directions[1]));
	printf(i18n("Possible results: %s, %s\n"), i18n(results[0]), i18n(results[1]));
	printf(i18n("Enter a number: "));
	scanf("%d", & n);
	if (n < 0) n = -n;
	
	// multi plural test. Usefull, if the target language has other plural forming rules.
	printf(i18nP("You have won one point!\n", "You have won %d points!\n", n), n);
}
